package Menus;


import java.awt.Point;
import Hero.*;
import Tools.*;
import java.awt.Color;

public class Map extends javax.swing.JFrame 
{
    Point xy;
    Hero h;
    
    public Map(Hero hero) 
    {
        xy = hero.getHeroLocationPoint();     
        initComponents();
        h = hero;
        
        player.setLocation(xy);        
        player.setToolTipText(hero.getName());
       
       
    }
 
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLayeredPane1 = new javax.swing.JLayeredPane();
        player = new javax.swing.JLabel();
        player.setLocation(xy);
        map = new javax.swing.JLabel()
        {
            public boolean contains(int x, int y)
            {
                MapUtil mu = new MapUtil(h);
                Color c = mu.getMapColorAt(x,y);
                int g = c.getGreen();

                if(g == 120)//((x >= 300 && x <= 315) && (y >= 483 && y < 498))
                {
                    setToolTipText("Bluespring Village");

                }
                else if(g == 121)//((x >= 111 && x <= 126) && (y >= 386 && y < 401))
                {
                    setToolTipText("Brightbarrow");

                }
                else if(g == 122)//((x >= 304 && x <= 319) && (y >= 197 && y < 212))
                {
                    setToolTipText("Valdell City");

                }
                else if(g == 123)//((x >= 92 && x <= 107) && (y >= 179 && y < 194))
                {
                    setToolTipText("Deepmount");

                }
                else if(g == 124)//((x >= 79 && x <= 94) && (y >= 524 && y < 539))
                {
                    setToolTipText("Lordell Village");

                }
                else if(g == 125)//((x >= 74 && x <= 89) && (y >= 5 && y < 20))
                {
                    setToolTipText("Snowwind City");

                }
                else if(g == 126)//((x >= 582 && x <= 597) && (y >= 60 && y < 75))
                {
                    setToolTipText("Aldpine");

                }
                else if(g == 127)//((x >= 752 && x <= 767) && (y >= 18 && y < 33))
                {
                    setToolTipText("Woodmead Village");

                }
                else if(g == 128)//((x >= 697 && x <= 712) && (y >= 231 && y < 246))
                {
                    setToolTipText("Courtshore Village");

                }
                else if(g == 129)//((x >= 496 && x <= 511) && (y >= 195 && y < 210))
                {
                    setToolTipText("Greenhaven");

                }
                else if(g == 130)//((x >= 652 && x <= 667) && (y >= 389 && y < 404))
                {
                    setToolTipText("Falconlake City");

                }
                else
                {
                    setToolTipText("");
                }
                return super.contains(x,y);
            }
        };
        jPanel1 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        refresh = new javax.swing.JButton();
        Close = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        addWindowFocusListener(new java.awt.event.WindowFocusListener() {
            public void windowLostFocus(java.awt.event.WindowEvent evt) {
            }
            public void windowGainedFocus(java.awt.event.WindowEvent evt) {
                formWindowGainedFocus(evt);
            }
        });
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowOpened(java.awt.event.WindowEvent evt) {
                formWindowOpened(evt);
            }
        });

        jLayeredPane1.setMaximumSize(new java.awt.Dimension(800, 600));

        player.setFont(new java.awt.Font("Lucida Calligraphy", 1, 11)); // NOI18N
        player.setText("X");
        player.setToolTipText("");
        player.setAlignmentX(0.5F);

        map.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        map.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Menus/map.png"))); // NOI18N
        map.setToolTipText("");
        map.setAlignmentX(0.5F);
        map.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                mapMouseClicked(evt);
            }
        });

        javax.swing.GroupLayout jLayeredPane1Layout = new javax.swing.GroupLayout(jLayeredPane1);
        jLayeredPane1.setLayout(jLayeredPane1Layout);
        jLayeredPane1Layout.setHorizontalGroup(
            jLayeredPane1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(map)
            .addGroup(jLayeredPane1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(player))
        );
        jLayeredPane1Layout.setVerticalGroup(
            jLayeredPane1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jLayeredPane1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(player))
            .addComponent(map)
        );
        jLayeredPane1.setLayer(player, javax.swing.JLayeredPane.DEFAULT_LAYER);
        jLayeredPane1.setLayer(map, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel2.setText("Map Legend");

        jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Menus/key.png"))); // NOI18N

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel1, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel2)
                        .addGap(56, 56, 56)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel1)
                .addContainerGap())
        );

        refresh.setText("Refresh");
        refresh.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                refreshActionPerformed(evt);
            }
        });

        Close.setText("Close");
        Close.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CloseActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(Close, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(refresh, javax.swing.GroupLayout.DEFAULT_SIZE, 125, Short.MAX_VALUE)))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(refresh)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(Close)
                .addContainerGap())
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jLayeredPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(65, 65, 65))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(51, 51, 51))))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(38, 38, 38)
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jLayeredPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    
    
    private void CloseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CloseActionPerformed
        Map.this.dispose();
    }//GEN-LAST:event_CloseActionPerformed

    private void refreshActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_refreshActionPerformed
        xy = h.getHeroLocationPoint();     
        player.setLocation(xy);
        
    }//GEN-LAST:event_refreshActionPerformed

    private void formWindowGainedFocus(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowGainedFocus
        xy = h.getHeroLocationPoint();     
        player.setLocation(xy);
    }//GEN-LAST:event_formWindowGainedFocus

    private void mapMouseClicked(java.awt.event.MouseEvent evt)//GEN-FIRST:event_mapMouseClicked
    {//GEN-HEADEREND:event_mapMouseClicked
        xy = h.getHeroLocationPoint();     
        player.setLocation(xy);
    }//GEN-LAST:event_mapMouseClicked

    private void formWindowOpened(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowOpened
        player.setLocation(xy);
    }//GEN-LAST:event_formWindowOpened
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton Close;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLayeredPane jLayeredPane1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    public javax.swing.JLabel map;
    public javax.swing.JLabel player;
    private javax.swing.JButton refresh;
    // End of variables declaration//GEN-END:variables
}
