package Items;

import Items.AntiStatus.*;
import Items.PointEnhancers.Attack;
import Items.PointEnhancers.Health;
import Items.PointEnhancers.WeaponAttack;
import Items.PointEnhancers.WeaponHealth;
import Items.Rare.CureAll;
import Items.Rare.ExperenceIncrease;
import Items.Rare.ItemInventoryIncrease;
import Items.Rare.WeaponInventoryIncrease;
import Tools.RDN;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Random;


public class Item implements Serializable
{
    private String itemName;
    private double itemChance;
    private String itemDescription;
    private double itemValue;
    private String itemType;
    private int randomNumber;
    private String itemCat;
    
    private ArrayList<ItemConverter> items = new ArrayList<>();
    
    public Item(int a)
    {
        int b = a;
    }
    
    
    public Item(String name)
    {        
       Burn bu = new Burn();
       Confusion co = new Confusion();
       Paralyze pa = new Paralyze();
       Poison po = new Poison();
       Sleep sl = new Sleep();
       Attack at = new Attack();
       Health he = new Health();
       WeaponAttack wa = new WeaponAttack();
       WeaponHealth wh = new WeaponHealth();
       CureAll ca = new CureAll();
       ExperenceIncrease ei = new ExperenceIncrease();
       ItemInventoryIncrease iii = new ItemInventoryIncrease();
       WeaponInventoryIncrease wii = new WeaponInventoryIncrease();
       
       items.add(bu);
       items.add(co);
       items.add(pa);
       items.add(po);
       items.add(sl);
       items.add(at);
       items.add(he);
       items.add(wa);
       items.add(wa);
       items.add(wh);
       items.add(ca);
       items.add(ei);
       items.add(iii);
       items.add(wii);

        RDN rn = new RDN(items.size());
        int r = rn.RN();
        ItemConverter wc = items.get(r);
        itemCat = wc.getItemName();
        itemName = wc.getItemMod() + " " + wc.getItemName();
        itemChance = wc.getItemChance();
        itemDescription = wc.getItemDescription();
        itemValue = wc.getItemValue();
        itemType = wc.getItemType();
     
    }
    
    public String getItemCat()
    {
        return itemCat;
    }

    public String getItemName()
    {
        return itemName;
    }

    //public int getRandomNumber()
    {
     //   return randomNumber;
    }
    
    public void setItemName(String itemName)
    {
        this.itemName = itemName;
    }

    public double getItemChance()
    {
        return itemChance;
    }

    public void setItemChance(double itemChance)
    {
        this.itemChance = itemChance;
    }

    public String getItemDescription()
    {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription)
    {
        this.itemDescription = itemDescription;
    }

    public double getItemValue()
    {
        return itemValue;
    }

    public void setItemValue(double itemValue)
    {
        this.itemValue = itemValue;
    }
    
    public String getItemType()
    {
        return itemType;
    }

    public String getName()
    {
        return itemName;
    }
    
    public String getEffectPassed()
    {        
        String passeffect = "";
        System.out.println(itemType);
        switch(itemType)
        {
            case "ANTISTATUS":
            {
                Random rnd = new Random();
                Float chance1 = rnd.nextFloat();
                if (chance1 <= itemChance)
                {
                        passeffect = "TRUE";
                }
                else
                {
                        passeffect = "FALSE";
                }
                break;
            }
            
            case "POINTENHANCERS":
            {
                passeffect = Double.toString(itemChance);
                break;
            }
            
//            default:
//            {
//                passeffect = "FAILED";
//                break;
//            }
        }
        
        System.out.println(passeffect);
        
        
        return passeffect;
    }
    
    public String toString()
    {
        return("Item Name: " + getItemName() + "\n" + "Item Description: " + getItemDescription() + "\n" + "Item Value: " + getItemValue() + "\nItem Category: " + getItemCat() + "\nItem Type: " + getItemType());
    }
    
    public String displayStoreItems()
    {
        return("Item Name:\n" + itemName + "\n\nItem Description:\n" + getItemDescription() + "\n\nItem Price:\n" + getItemValue());
    }
    
    
        
    
}
