package Places;

import java.awt.Point;
import java.io.Serializable;

public class Village extends LocationConverter implements Serializable
    {
        private String name;
        private int numberOfStoreItems;
        private boolean visited;
        private Point topLeft = new Point();
        private Point bottomRight = new Point();
        private int greenval;

        public Village()
        {

        }

        public Village(String n, int si, Point p1, Point p2, int gv)
        {
            name = n;
            numberOfStoreItems = si;
            visited = false;
            topLeft = p1;
            bottomRight = p2;
            greenval = gv;
        }

        public String getName()
        {
            return name;
        }

        public int getNumberOfStoreItems()
        {
            return numberOfStoreItems;
        }

        public void setTopLeft(Point p1)
        {
            topLeft = p1;
        }

        public void setBottomRight(Point p1)
        {
            bottomRight = p1;
        }

        public void setVisited(boolean v)
        {
            visited = v;
        }

        public boolean getVisited()
        {
            return visited;
        }

        public Point getTopLeft()
        {
            return topLeft;
        }

        public Point getBottomRight()
        {
            return bottomRight;
        }

        public Point getMiddlePoint()
        {
            double tx = topLeft.getX();
            double ty = topLeft.getY();
            double bx = bottomRight.getX();
            double by = bottomRight.getY();
            int nx;
            int ny;

            nx = (int) (tx + bx) / 2;
            ny = (int) (ty + by) / 2;

            Point middlePoint = new Point(nx, ny);
            return middlePoint;
        }
        
        public int getGreenVal()
        {
            return greenval;
        }
    }