import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import javax.swing.DefaultListModel;
import javax.swing.JList;
import javax.swing.JOptionPane;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author David
 */
public class NewStoreGUI extends javax.swing.JFrame {

    /**
     * Creates new form StoreGUI
     */
    public NewStoreGUI(Hero h, String pn) {
        weaponSelection = new JList<>();
        itemSelection = new JList<>();
        weaponSelection.setModel(weaponModel);
        itemSelection.setModel(itemModel);
           
        initComponents();
        hero = h;
        Locations l = h.getLocationObject();
        ArrayList<City> city = l.getCityList();
        ArrayList<Town> town = l.getTownList();
        ArrayList<Village> village = l.getVillageList();
        int storeItems;
        for(City c : city)
        {
            if(c.getName().equals(pn))
            {
                storeItems = c.getNumberOfStoreItems();
                h.stockWeaponStore(storeItems);
                h.stockItemStore(storeItems);
            }
            
        }
        for(Town t : town)
        {
            if(t.getName().equals(pn))
            {
                storeItems = t.getNumberOfStoreItems();
                h.stockWeaponStore(storeItems);
                h.stockItemStore(storeItems);
            }
        }
        for(Village v : village)
        {
            if(v.getName().equals(pn))
            {
                storeItems = v.getNumberOfStoreItems();
                h.stockWeaponStore(storeItems);
                h.stockItemStore(storeItems);
            }
        }
       
        showInvWep();
        jTextField1.setText(h.displayCurrency(h.getMoney()));
    }
    
    public NewStoreGUI(Hero h, int wn, int in)
    {
        initComponents();
        hero = h;
        h.stockWeaponStore(wn);
        h.stockItemStore(in);
        showInvWep();
        jTextField1.setText(h.displayCurrency(h.getMoney()));
    }      
    
    public static boolean isInt(String s)
    {
         try
         {
             Integer.parseInt(s);
             return true;
         }
         catch(NumberFormatException nfe)
         {
             return false;
         }
    }
    
    public final void showInvWep()
    {
//        weaponItemSlot.setText(hero.displayWeaponStoreNumbers());
//        weaponName.setText(hero.displayWeaponStoreNames());
//        weaponAttack.setText(hero.displayWeaponStoreAttack());
//        weaponHealth.setText(hero.displayWeaponStoreHealth());
//        weaponValue.setText(hero.displayWeaponStoreValue());
//        jTextArea7.setText(hero.displayItemStoreNumbers());
//        jTextArea8.setText(hero.displayItemStoreNames());
//        jTextArea9.setText(hero.displayItemStoreDescription());
//        jTextArea10.setText(hero.displayItemStoreValue());
        weaponSlots.setText(hero.getWeaponInventoryCounter()+"");
        itemSlot.setText(hero.getItemInventoryCounter()+"");
        weaponSelection.clearSelection();
        itemSelection.clearSelection();
        weaponModel.clear();
        itemModel.clear();
        for(int i = 0; i < hero.getStoreWeaponsSize(); i++)
        {
           Weapon w = hero.getStoreWeaponObject(i);     
           weaponModel.addElement(w.getName());
        }
        for(int z = 0; z <hero.getStoreItemsSize(); z++)
        {
            Item i = hero.getStoreItemObject(z);
            itemModel.addElement(i.getItemName());
        }
        weaponSelection.clearSelection();
        itemSelection.clearSelection();
        selectedWeapon.setText("");
        selectedItem.setText("");
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel3 = new javax.swing.JPanel();
        jTextField1 = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        weaponSelectionScroll = new javax.swing.JScrollPane();
        /*
        weaponSelection = ;//new javax.swing.JList();
        */
        itemSelectionScroll = new javax.swing.JScrollPane();
        /*
        itemSelection = new javax.swing.JList();
        */
        selectedWeaponScroll = new javax.swing.JScrollPane();
        selectedWeapon = new javax.swing.JTextArea();
        selectedItemScroll = new javax.swing.JScrollPane();
        selectedItem = new javax.swing.JTextArea();
        wepCurrentInvLbl = new javax.swing.JLabel();
        itemCurrInvLbl = new javax.swing.JLabel();
        infoSelectItemLbl = new javax.swing.JLabel();
        infoSelectWepLbl = new javax.swing.JLabel();
        instrucWepLbl = new javax.swing.JLabel();
        instrucItemLbl = new javax.swing.JLabel();
        weaponSlotLbl = new javax.swing.JLabel();
        weaponSlots = new javax.swing.JTextField();
        itemSlotLbl = new javax.swing.JLabel();
        itemSlot = new javax.swing.JTextField();
        buyAWeapon = new javax.swing.JButton();
        ExitShop = new javax.swing.JButton();
        BuyAnItem = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Store - David's RPG");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                formWindowClosing(evt);
            }
        });

        jTextField1.setEditable(false);

        jLabel6.setText("Your current cash on hand:");

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel6)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel6)
                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        weaponSelection.addListSelectionListener(new javax.swing.event.ListSelectionListener() {
            public void valueChanged(javax.swing.event.ListSelectionEvent evt) {
                weaponSelectionValueChanged(evt);
            }
        });
        weaponSelectionScroll.setViewportView(weaponSelection);

        itemSelection.addListSelectionListener(new javax.swing.event.ListSelectionListener() {
            public void valueChanged(javax.swing.event.ListSelectionEvent evt) {
                itemSelectionValueChanged(evt);
            }
        });
        itemSelectionScroll.setViewportView(itemSelection);

        selectedWeapon.setEditable(false);
        selectedWeapon.setColumns(20);
        selectedWeapon.setFont(new java.awt.Font("Tahoma", 0, 11)); // NOI18N
        selectedWeapon.setRows(5);
        selectedWeaponScroll.setViewportView(selectedWeapon);

        selectedItem.setEditable(false);
        selectedItem.setColumns(20);
        selectedItem.setFont(new java.awt.Font("Tahoma", 0, 11)); // NOI18N
        selectedItem.setRows(5);
        selectedItemScroll.setViewportView(selectedItem);

        wepCurrentInvLbl.setText("Weapons Currently in the Store Inventory:");

        itemCurrInvLbl.setText("Items Currently in the Store Inventory:");

        infoSelectItemLbl.setText("Information For Selected Item:");

        infoSelectWepLbl.setText("Information For Selected Weapon:");

        instrucWepLbl.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        instrucWepLbl.setText("<html><center>Please select a weapon in the list above and then select an action below. </center> </html>");
        instrucWepLbl.setAutoscrolls(true);
        instrucWepLbl.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        instrucWepLbl.setMaximumSize(new java.awt.Dimension(201, 14));
        instrucWepLbl.setMinimumSize(new java.awt.Dimension(201, 14));
        instrucWepLbl.setPreferredSize(new java.awt.Dimension(201, 14));

        instrucItemLbl.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        instrucItemLbl.setText("<html><center>Please select a item in the list above and then select an action below. </center> </html>");
        instrucItemLbl.setAutoscrolls(true);
        instrucItemLbl.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        instrucItemLbl.setMaximumSize(new java.awt.Dimension(201, 14));
        instrucItemLbl.setMinimumSize(new java.awt.Dimension(201, 14));
        instrucItemLbl.setPreferredSize(new java.awt.Dimension(201, 14));

        weaponSlotLbl.setText("Weapon Slots Available:");

        weaponSlots.setEditable(false);

        itemSlotLbl.setText("Item Slots Available:");

        itemSlot.setEditable(false);

        buyAWeapon.setText("Buy selected weapons");
        buyAWeapon.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buyAWeaponActionPerformed(evt);
            }
        });

        ExitShop.setText("Exit the shop");
        ExitShop.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ExitShopActionPerformed(evt);
            }
        });

        BuyAnItem.setText("Buy selected items");
        BuyAnItem.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BuyAnItemActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(14, 14, 14)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(weaponSelectionScroll, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                            .addComponent(selectedWeaponScroll)
                            .addGroup(layout.createSequentialGroup()
                                .addGap(10, 10, 10)
                                .addComponent(infoSelectWepLbl))
                            .addComponent(instrucWepLbl, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                .addComponent(infoSelectItemLbl)
                                .addGap(22, 22, 22))
                            .addComponent(instrucItemLbl, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                        .addGroup(layout.createSequentialGroup()
                            .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGap(18, 18, 18)
                            .addComponent(selectedItemScroll, javax.swing.GroupLayout.PREFERRED_SIZE, 201, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGroup(layout.createSequentialGroup()
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                .addGroup(layout.createSequentialGroup()
                                    .addComponent(wepCurrentInvLbl)
                                    .addGap(280, 280, 280))
                                .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                                    .addGap(228, 228, 228)
                                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                        .addComponent(weaponSlots, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 106, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                                .addComponent(itemSlotLbl)
                                                .addComponent(weaponSlotLbl))
                                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                            .addComponent(itemSlot, javax.swing.GroupLayout.PREFERRED_SIZE, 106, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addGroup(layout.createSequentialGroup()
                                    .addGap(19, 19, 19)
                                    .addComponent(itemCurrInvLbl))
                                .addComponent(itemSelectionScroll, javax.swing.GroupLayout.PREFERRED_SIZE, 198, javax.swing.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGroup(layout.createSequentialGroup()
                .addGap(38, 38, 38)
                .addComponent(buyAWeapon)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(ExitShop)
                .addGap(129, 129, 129)
                .addComponent(BuyAnItem)
                .addGap(60, 60, 60))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(itemCurrInvLbl)
                    .addComponent(wepCurrentInvLbl))
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(weaponSelectionScroll, javax.swing.GroupLayout.PREFERRED_SIZE, 233, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(itemSelectionScroll, javax.swing.GroupLayout.PREFERRED_SIZE, 233, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(82, 82, 82)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(weaponSlotLbl)
                            .addComponent(weaponSlots, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(itemSlotLbl)
                            .addComponent(itemSlot, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(infoSelectWepLbl)
                    .addComponent(infoSelectItemLbl))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(selectedItemScroll, javax.swing.GroupLayout.DEFAULT_SIZE, 185, Short.MAX_VALUE)
                    .addComponent(selectedWeaponScroll))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 7, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(instrucWepLbl, javax.swing.GroupLayout.PREFERRED_SIZE, 45, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(instrucItemLbl, javax.swing.GroupLayout.PREFERRED_SIZE, 45, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(buyAWeapon)
                    .addComponent(ExitShop)
                    .addComponent(BuyAnItem))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void ExitShopActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ExitShopActionPerformed
        hero.setStoreStock(hero.getStoreStock() + 1);
        NewStoreGUI.this.dispose();
    }//GEN-LAST:event_ExitShopActionPerformed

    private void buyAWeaponActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buyAWeaponActionPerformed
       try
       { 
          int[] a = weaponSelection.getSelectedIndices();
          Integer[] arr = sortDesc(a);
          String message = "";
          for(int z = 0; z < arr.length; z++)
          {
           
          
           message += hero.buyWeapon(arr[z]) + "\n";
           
           jTextField1.setText(hero.displayCurrency(hero.getMoney()));
          }
          JOptionPane.showMessageDialog(null, message);
           showInvWep();
       }
       catch(NumberFormatException nfe)
       {
       }
       catch(ArrayIndexOutOfBoundsException aioobe)
        {

        }
    }//GEN-LAST:event_buyAWeaponActionPerformed

    private void BuyAnItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BuyAnItemActionPerformed
        try
       {     
          int[] a = itemSelection.getSelectedIndices();
          Integer[] arr = sortDesc(a);
          String message = "";
          for(int z = 0; z < arr.length; z++)
          { 
          
           //int wepsele = itemSelection.getSelectedIndex();
           message += hero.buyItem(arr[z]) + "\n";
           
           jTextField1.setText(hero.displayCurrency(hero.getMoney()));
          }
          JOptionPane.showMessageDialog(null, message);
           showInvWep();
       }
       catch(NumberFormatException nfe)
       {
       }
        catch(ArrayIndexOutOfBoundsException aioobe)
        {

        }
    }//GEN-LAST:event_BuyAnItemActionPerformed

    private void weaponSelectionValueChanged(javax.swing.event.ListSelectionEvent evt) {//GEN-FIRST:event_weaponSelectionValueChanged
        try
        {
            Weapon w = hero.getStoreWeaponObject(weaponSelection.getSelectedIndex());
            selectedWeapon.setText(w.getWeaponStats());
        }
        catch(ArrayIndexOutOfBoundsException aioobe)
        {

        }
    }//GEN-LAST:event_weaponSelectionValueChanged

    private void itemSelectionValueChanged(javax.swing.event.ListSelectionEvent evt) {//GEN-FIRST:event_itemSelectionValueChanged
        try
        {
            Item i = hero.getStoreItemObject(itemSelection.getSelectedIndex());
            selectedItem.setText(i.displayStoreItems());
        }
        catch(ArrayIndexOutOfBoundsException aioobe)
        {

        }
    }//GEN-LAST:event_itemSelectionValueChanged

    public Integer[] sortDesc(int[] aryNums)
    {
           
           Integer[] integerArray = new Integer[aryNums.length];
            
           for(int i = 0; i<aryNums.length; i++)
           {
               integerArray[i] = new Integer(aryNums[i]);
           }
           Arrays.sort(integerArray, Collections.reverseOrder());
        return integerArray;
    }
    
    
    
    private void formWindowClosing(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowClosing
         hero.setStoreStock(hero.getStoreStock() + 1);
        NewStoreGUI.this.dispose();
    }//GEN-LAST:event_formWindowClosing

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(NewStoreGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(NewStoreGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(NewStoreGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(NewStoreGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                //new StoreGUI().setVisible(true);
            }
        });
    }
    
    private Hero hero;
    private DefaultListModel<String> weaponModel = new DefaultListModel<>();
    private DefaultListModel<String> itemModel = new DefaultListModel<>();
  
    private JList<String> weaponSelection;
    private JList<String> itemSelection;
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton BuyAnItem;
    private javax.swing.JButton ExitShop;
    private javax.swing.JButton buyAWeapon;
    private javax.swing.JLabel infoSelectItemLbl;
    private javax.swing.JLabel infoSelectWepLbl;
    private javax.swing.JLabel instrucItemLbl;
    private javax.swing.JLabel instrucWepLbl;
    private javax.swing.JLabel itemCurrInvLbl;
    /*
    private javax.swing.JList itemSelection;
    */
    private javax.swing.JScrollPane itemSelectionScroll;
    private javax.swing.JTextField itemSlot;
    private javax.swing.JLabel itemSlotLbl;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextArea selectedItem;
    private javax.swing.JScrollPane selectedItemScroll;
    private javax.swing.JTextArea selectedWeapon;
    private javax.swing.JScrollPane selectedWeaponScroll;
    /*
    private javax.swing.JList weaponSelection;
    */
    private javax.swing.JScrollPane weaponSelectionScroll;
    private javax.swing.JLabel weaponSlotLbl;
    private javax.swing.JTextField weaponSlots;
    private javax.swing.JLabel wepCurrentInvLbl;
    // End of variables declaration//GEN-END:variables
}
