import java.util.ArrayList;
import javax.swing.JOptionPane;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author David
 */
public class StoreGUI extends javax.swing.JFrame {

    /**
     * Creates new form StoreGUI
     */
    public StoreGUI(Hero h, String pn) {
        initComponents();
        hero = h;
        Locations l = h.getLocationObject();
        ArrayList<City> city = l.getCityList();
        ArrayList<Town> town = l.getTownList();
        ArrayList<Village> village = l.getVillageList();
        int storeItems = 0;
        for(City c : city)
        {
            if(c.getName().equals(pn))
            {
                storeItems = c.getNumberOfStoreItems();
                h.stockWeaponStore(storeItems);
                h.stockItemStore(storeItems);
            }
            
        }
        for(Town t : town)
        {
            if(t.getName().equals(pn))
            {
                storeItems = t.getNumberOfStoreItems();
                h.stockWeaponStore(storeItems);
                h.stockItemStore(storeItems);
            }
        }
        for(Village v : village)
        {
            if(v.getName().equals(pn))
            {
                storeItems = v.getNumberOfStoreItems();
                h.stockWeaponStore(storeItems);
                h.stockItemStore(storeItems);
            }
        }
       
        showInvWep();
        jTextField1.setText(h.displayCurrency(h.getMoney()));
    }
    
    public StoreGUI(Hero h, int wn, int in)
    {
        initComponents();
        hero = h;
        h.stockWeaponStore(wn);
        h.stockItemStore(in);
        showInvWep();
        jTextField1.setText(h.displayCurrency(h.getMoney()));
    }      
    
    public static boolean isInt(String s)
    {
         try
         {
             Integer.parseInt(s);
             return true;
         }
         catch(NumberFormatException nfe)
         {
             return false;
         }
    }
    
    public final void showInvWep()
    {
        weaponItemSlot.setText(hero.displayWeaponStoreNumbers());
        weaponName.setText(hero.displayWeaponStoreNames());
        weaponAttack.setText(hero.displayWeaponStoreAttack());
        weaponHealth.setText(hero.displayWeaponStoreHealth());
        weaponValue.setText(hero.displayWeaponStoreValue());
        jTextArea7.setText(hero.displayItemStoreNumbers());
        jTextArea8.setText(hero.displayItemStoreNames());
        jTextArea9.setText(hero.displayItemStoreDescription());
        jTextArea10.setText(hero.displayItemStoreValue());
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jScrollPane2 = new javax.swing.JScrollPane();
        weaponName = new javax.swing.JTextArea();
        jLabel1 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        weaponItemSlot = new javax.swing.JTextArea();
        jLabel4 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jScrollPane4 = new javax.swing.JScrollPane();
        weaponHealth = new javax.swing.JTextArea();
        jLabel10 = new javax.swing.JLabel();
        jScrollPane3 = new javax.swing.JScrollPane();
        weaponAttack = new javax.swing.JTextArea();
        jScrollPane6 = new javax.swing.JScrollPane();
        weaponValue = new javax.swing.JTextArea();
        jLabel2 = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        jLabel11 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jScrollPane10 = new javax.swing.JScrollPane();
        jTextArea10 = new javax.swing.JTextArea();
        jScrollPane9 = new javax.swing.JScrollPane();
        jTextArea9 = new javax.swing.JTextArea();
        jScrollPane8 = new javax.swing.JScrollPane();
        jTextArea8 = new javax.swing.JTextArea();
        jScrollPane7 = new javax.swing.JScrollPane();
        jTextArea7 = new javax.swing.JTextArea();
        jPanel3 = new javax.swing.JPanel();
        jTextField1 = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jPanel4 = new javax.swing.JPanel();
        buyAWeapon = new javax.swing.JButton();
        ExitShop = new javax.swing.JButton();
        BuyAnItem = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Store - David's RPG");

        weaponName.setEditable(false);
        weaponName.setColumns(20);
        weaponName.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        weaponName.setLineWrap(true);
        weaponName.setRows(5);
        jScrollPane2.setViewportView(weaponName);
        jScrollPane2.getVerticalScrollBar().setModel(jScrollPane1.getVerticalScrollBar().getModel());

        jLabel1.setText("Item Slot");

        weaponItemSlot.setEditable(false);
        weaponItemSlot.setColumns(20);
        weaponItemSlot.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        weaponItemSlot.setLineWrap(true);
        weaponItemSlot.setRows(5);
        jScrollPane1.setViewportView(weaponItemSlot);
        jScrollPane1.getVerticalScrollBar().setModel(jScrollPane2.getVerticalScrollBar().getModel());

        jLabel4.setText("Health");

        jLabel3.setText("Attack");

        weaponHealth.setEditable(false);
        weaponHealth.setColumns(20);
        weaponHealth.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        weaponHealth.setLineWrap(true);
        weaponHealth.setRows(5);
        jScrollPane4.setViewportView(weaponHealth);
        jScrollPane4.getVerticalScrollBar().setModel(jScrollPane3.getVerticalScrollBar().getModel());

        jLabel10.setText("Value");

        weaponAttack.setEditable(false);
        weaponAttack.setColumns(20);
        weaponAttack.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        weaponAttack.setLineWrap(true);
        weaponAttack.setRows(5);
        jScrollPane3.setViewportView(weaponAttack);
        jScrollPane3.getVerticalScrollBar().setModel(jScrollPane2.getVerticalScrollBar().getModel());

        weaponValue.setEditable(false);
        weaponValue.setColumns(20);
        weaponValue.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        weaponValue.setLineWrap(true);
        weaponValue.setRows(5);
        jScrollPane6.setViewportView(weaponValue);
        jScrollPane6.getVerticalScrollBar().setModel(jScrollPane2.getVerticalScrollBar().getModel());

        jLabel2.setText("Weapon Name");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel1)
                        .addGap(18, 18, 18)
                        .addComponent(jLabel2))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 57, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 174, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel3)
                    .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 57, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel4)
                    .addComponent(jScrollPane4, javax.swing.GroupLayout.PREFERRED_SIZE, 51, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel10)
                    .addComponent(jScrollPane6, javax.swing.GroupLayout.PREFERRED_SIZE, 71, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jLabel2)
                    .addComponent(jLabel3)
                    .addComponent(jLabel4)
                    .addComponent(jLabel10))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jScrollPane6, javax.swing.GroupLayout.DEFAULT_SIZE, 358, Short.MAX_VALUE)
                    .addComponent(jScrollPane4)
                    .addComponent(jScrollPane3)
                    .addComponent(jScrollPane2)
                    .addComponent(jScrollPane1))
                .addContainerGap())
        );

        jLabel11.setText("Value");

        jLabel9.setText("Item Description");

        jLabel7.setText("Item Slot");

        jLabel8.setText("Item Name");

        jTextArea10.setEditable(false);
        jTextArea10.setColumns(20);
        jTextArea10.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jTextArea10.setLineWrap(true);
        jTextArea10.setRows(5);
        jScrollPane10.setViewportView(jTextArea10);
        jScrollPane10.getVerticalScrollBar().setModel(jScrollPane8.getVerticalScrollBar().getModel());

        jTextArea9.setEditable(false);
        jTextArea9.setColumns(20);
        jTextArea9.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jTextArea9.setLineWrap(true);
        jTextArea9.setRows(5);
        jScrollPane9.setViewportView(jTextArea9);
        jScrollPane9.getVerticalScrollBar().setModel(jScrollPane8.getVerticalScrollBar().getModel());

        jTextArea8.setEditable(false);
        jTextArea8.setColumns(20);
        jTextArea8.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jTextArea8.setLineWrap(true);
        jTextArea8.setRows(5);
        jScrollPane8.setViewportView(jTextArea8);
        jScrollPane8.getVerticalScrollBar().setModel(jScrollPane7.getVerticalScrollBar().getModel());

        jTextArea7.setEditable(false);
        jTextArea7.setColumns(20);
        jTextArea7.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jTextArea7.setLineWrap(true);
        jTextArea7.setRows(5);
        jScrollPane7.setViewportView(jTextArea7);
        jScrollPane7.getVerticalScrollBar().setModel(jScrollPane8.getVerticalScrollBar().getModel());

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel7)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel8))
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jScrollPane7, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jScrollPane8, javax.swing.GroupLayout.PREFERRED_SIZE, 216, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel9)
                    .addComponent(jScrollPane9, javax.swing.GroupLayout.PREFERRED_SIZE, 267, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel11)
                    .addComponent(jScrollPane10, javax.swing.GroupLayout.PREFERRED_SIZE, 67, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel7)
                    .addComponent(jLabel8)
                    .addComponent(jLabel9)
                    .addComponent(jLabel11))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jScrollPane8)
                    .addComponent(jScrollPane7)
                    .addComponent(jScrollPane9)
                    .addComponent(jScrollPane10, javax.swing.GroupLayout.PREFERRED_SIZE, 358, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        jTextField1.setEditable(false);

        jLabel6.setText("Your current cash on hand:");

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel6)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel6)
                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        buyAWeapon.setText("Buy a weapon");
        buyAWeapon.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buyAWeaponActionPerformed(evt);
            }
        });

        ExitShop.setText("Exit the shop");
        ExitShop.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ExitShopActionPerformed(evt);
            }
        });

        BuyAnItem.setText("Buy an item");
        BuyAnItem.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BuyAnItemActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(buyAWeapon)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(ExitShop)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(BuyAnItem)
                .addContainerGap())
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(buyAWeapon)
                    .addComponent(ExitShop)
                    .addComponent(BuyAnItem))
                .addContainerGap())
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jPanel3, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void ExitShopActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ExitShopActionPerformed
        StoreGUI.this.dispose();
    }//GEN-LAST:event_ExitShopActionPerformed

    private void buyAWeaponActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buyAWeaponActionPerformed
       try
       {
           String weppur = JOptionPane.showInputDialog("Please enter the number of the weapon that you want to purchase.");
           String message;
           int wepsele = Integer.parseInt(weppur);
           message = hero.buyWeapon(wepsele);
           JOptionPane.showMessageDialog(null, message);
           jTextField1.setText(hero.displayCurrency(hero.getMoney()));
           showInvWep();
       }
       catch(NumberFormatException nfe)
       {
       }
    }//GEN-LAST:event_buyAWeaponActionPerformed

    private void BuyAnItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BuyAnItemActionPerformed
        try
       {
           String weppur = JOptionPane.showInputDialog("Please enter the number of the item that you want to purchase.");
           String message;
           int wepsele = Integer.parseInt(weppur);
           message = hero.buyItem(wepsele);
           JOptionPane.showMessageDialog(null, message);
           jTextField1.setText(hero.displayCurrency(hero.getMoney()));
           showInvWep();
       }
       catch(NumberFormatException nfe)
       {
       }
    }//GEN-LAST:event_BuyAnItemActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(StoreGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(StoreGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(StoreGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(StoreGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                //new StoreGUI().setVisible(true);
            }
        });
    }
    
    private Hero hero;
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton BuyAnItem;
    private javax.swing.JButton ExitShop;
    private javax.swing.JButton buyAWeapon;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane10;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JScrollPane jScrollPane6;
    private javax.swing.JScrollPane jScrollPane7;
    private javax.swing.JScrollPane jScrollPane8;
    private javax.swing.JScrollPane jScrollPane9;
    private javax.swing.JTextArea jTextArea10;
    private javax.swing.JTextArea jTextArea7;
    private javax.swing.JTextArea jTextArea8;
    private javax.swing.JTextArea jTextArea9;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextArea weaponAttack;
    private javax.swing.JTextArea weaponHealth;
    private javax.swing.JTextArea weaponItemSlot;
    private javax.swing.JTextArea weaponName;
    private javax.swing.JTextArea weaponValue;
    // End of variables declaration//GEN-END:variables
}
