
package Hero;

import Places.*;
import Tools.*;
import java.awt.Point;
import java.util.ArrayList;
import javax.swing.JOptionPane;

/**
 *
 * @author David
 */
public class Move 
{
    Hero h;
    private Point heroLocation;
    private final Locations l;
    private final MapUtil mu;
    private final int r;
    private final int g;
    private final int b;
    
    /**
     *
     * @param hero
     */
    public Move(Hero hero)
    {
        h = hero;
        heroLocation = hero.getHeroLocationPoint();
        l  = h.getLocationObject();
        mu = new MapUtil(h);
        r = mu.getRed();
        g = mu.getGreen();
        b = mu.getBlue();
    }

    /**
     *
     * @param d
     * @return
     */
    public String movePlayer(String d)
    {
        String message = "";
        boolean movefin = false;
        double x = heroLocation.getX();
        double y = heroLocation.getY();
      //  Point lastLocation = new Point();
      //  lastLocation.setLocation(x, y);
        if(getHeroPlace().equals(""))
        {
            switch (d) 
            {
                case "N":
                    {
                        for(int i = 0; i < 5; i++)
                        {
                            boolean move = setLocationMove(x,  (y-i));
                            if (move)
                            {
                                y = y - 1;
                                movefin = true;
                            }
                              
                        }
                        if(movefin)
                        {
                            heroLocation.setLocation(x, y);
                            message = "You have travelled north.";
                        }
                        else
                        {
                            heroLocation.setLocation(x, (y+10));
                            message = "NB";
                            
                        }
                        break;
                    }
                case "S":
                    {
//                        boolean move = setLocationMove(x, (y+5));
//                        if (move)
//                        {
//                          message = "You have travelled south.";  
//                          heroLocation.setLocation(x, (y+5));
//                        }
//                        else
//                        {
//                            message = "SB";
//                            
//                        }
//                        break;
                        for(int i = 0; i < 5; i++)
                        {
                            boolean move = setLocationMove(x,  (y+i));
                            if (move)
                            {
                                y = y + 1;
                                movefin = true;
                            }
                              
                        }
                        if(movefin)
                        {
                            heroLocation.setLocation(x, y);
                            message = "You have travelled south.";
                        }
                        else
                        {
                            heroLocation.setLocation(x, (y-10));
                            message = "SB";
                            
                        }
                        break;
                    }
                case "W":
                    {
//                        boolean move = setLocationMove((x-5), y);
//                        if (move)
//                        {
//                          message = "You have travelled west."; 
//                          heroLocation.setLocation((x-5),y); 
//                        }
//                        else
//                        {
//                            message = "WB";
//                           
//                        }
//                        break;
                        for(int i = 0; i < 5; i++)
                        {
                            boolean move = setLocationMove((x-i), y);
                            if (move)
                            {
                                x = x - 1;
                                movefin = true;
                            }
                              
                        }
                        if(movefin)
                        {
                            heroLocation.setLocation(x, y);
                            message = "You have travelled west.";
                        }
                        else
                        {
                            heroLocation.setLocation((x+10), y);
                            message = "WB";
                            
                        }
                        break;
                    }
                case "E":
                    {
//                        boolean move = setLocationMove((x+5), y);
//                        if (move)
//                        {
//                            heroLocation.setLocation((x+5), y);
//                          message = "You have travelled east.";  
//                        }
//                        else
//                        {
//                            message = "EB";
//                            heroLocation = lastLocation;
//                        }
//                        break;
                        for(int i = 0; i < 5; i++)
                        {
                            boolean move = setLocationMove((x + i), y);
                            if (move)
                            {
                                x = x + 1;
                                movefin = true;
                            }
                              
                        }
                        if(movefin)
                        {
                            heroLocation.setLocation(x, y);
                            message = "You have travelled east.";
                        }
                        else
                        {
                            heroLocation.setLocation((x-10), y);
                            message = "EB";
                            
                        }
                        break;
                    }
            }
        }
        else
        {
            switch (d) {
                case "N":
                    {
                        for(int i = 0; i < 15; i++)
                        {
                            boolean move = setLocationMove(x,  (y-i));
                            if (move)
                            {
                                y = y - i;
                                movefin = true;
                            }
                              
                        }
                        if(movefin)
                        {
                            heroLocation.setLocation(x, y);
                            message = "You have travelled north.";
                        }
                        else
                        {
                            heroLocation.setLocation(x, (y - 15));
                            message = "NB";
                            JOptionPane.showMessageDialog(null, "Mountain");
                        }
                        break;
                    }
                case "S":
                    {
                        boolean move = setLocationMove(x, (y+15));
                        if (move)
                        {
                          message = "You have travelled south."; 
                          heroLocation.setLocation(x, (y+15)); 
                        }
                        else
                        {
                            message = "SB";
                            
                        }
                        break;
                    }
                case "W":
                    {
                        boolean move = setLocationMove((x-15), y);
                        if (move)
                        {
                          message = "You have travelled west.";  
                          heroLocation.setLocation((x-15),y);
                        }
                        else
                        {
                            message = "WB";
                            
                        }
                        break;
                    }
                case "E":
                    {
                        boolean move = setLocationMove((x+15), y);
                        if (move)
                        {
                          message = "You have travelled east.";  
                          heroLocation.setLocation((x+15), y);  
                        }
                        else
                        {
                            message = "EB";
                        }
                        break;
                    }
            }
        }
            
            setHeroPlace(getHeroPlace());
            
            
        return message;
    }
    
    /**
     *
     * @param x
     * @param y
     * @return
     */
    public boolean setLocationMove(double x, double y)
        {
            boolean canGo = true;
//            
//            //Valpond Ocean Bottom
//            if(((x >= 360 && x <= 430) && (y >= 225 && y <= 260)) || ((x >= 360 && x <= 610) && (y >= 260 && y <= 600)) || ((x >= 610 && x <= 800) && (y >= 260 && y <= 370)) || ((x >= 715 && x <= 800) && (y >= 370 && y <= 455)) || ((x >= 610 && x <= 800) && (y >= 455 && y <= 600)))
//            {
//                canGo = false;
//            }
//            //Valpond Ocean Top
//            if(((x >= 360 && x <= 430) && (y >= 145 && y <= 195)))
//            {
//                canGo = false;
//            }
//            //Whitehold Desert
//            if(((x >= 0 && x <= 205) && (y >= 435 && y <= 600)))
//            {
//                JOptionPane.showMessageDialog(null, "The road to this location is closed for construction. Sorry for the inconvenience.");
//                canGo = false;
//            }
//            //Corcliff Mountains
//            if(((x >= 0 && x <= 265) && (y >= 35 && y <= 145)))
//            {
//                JOptionPane.showMessageDialog(null, "The road to this location is closed for construction. Sorry for the inconvenience.");
//                canGo = false;
//            }
//            //Coldoak Forest West
//            if(((x >= 265 && x <= 555) && (y >= 0 && y <= 145)))
//            {
//                JOptionPane.showMessageDialog(null, "The road to this location is closed for construction. Sorry for the inconvenience.");
//                canGo = false;
//            }
//            //Coldoak Forest East
//            if(((x >= 555 && x <= 800) && (y >= 90 && y <= 145)))
//            {
//                JOptionPane.showMessageDialog(null, "The road to this location is closed for construction. Sorry for the inconvenience.");
//                canGo = false;
//            }
           
            if(g == 72 || g == 177 || g == 97 || g == 228)
            {
                canGo = false;
            }
            
            return canGo;
        }
    
    /**
     *
     * @return
     */
    public final String getHeroPlace()
    {
        ArrayList<Village> villages = l.getVillageList();
        ArrayList<Town> towns = l.getTownList();
        ArrayList<City> cities = l.getCityList();
        String placename = "";
 
        for(Village v : villages)
        {
            Point z1 = v.getTopLeft();
            Point z2 = v.getBottomRight();
           
            if((heroLocation.getX() >= z1.getX() && heroLocation.getX() <= z2.getX()) && (heroLocation.getY() >= z1.getY() && heroLocation.getY() < z2.getY()))
            {
                placename = v.getName();
            }
        }
        
       for(Town t : towns)
        {
            Point z1 = t.getTopLeft();
            Point z2 = t.getBottomRight();
            
            
            if((heroLocation.getX() >= z1.getX() && heroLocation.getX() <= z2.getX()) && (heroLocation.getY() >= z1.getY() && heroLocation.getY() < z2.getY()))
            {
                placename = t.getName();
            }
        }
       
       for(City c : cities)
        {
            Point z1 = c.getTopLeft();
            Point z2 = c.getBottomRight();
            
            if((heroLocation.getX() >= z1.getX() && heroLocation.getX() <= z2.getX()) && (heroLocation.getY() >= z1.getY() && heroLocation.getY() < z2.getY()))
            {
                placename = c.getName();
            }
        }
        return placename;
    }
    
    /**
     *
     * @param pn
     */
    public void setHeroPlace(String pn)
    {
        ArrayList<Village> villages = l.getVillageList();
        ArrayList<Town> towns = l.getTownList();
        ArrayList<City> cities = l.getCityList();
        String placename = "";
        if (!pn.equals(""))
        {
            for(Village v : villages)
            {
                if(v.getName().equals(pn))
                {
                    placename = v.getName();
                    heroLocation = v.getMiddlePoint();
                    v.setVisited(true);
                }
            }

           for(Town t : towns)
            {            
                if(t.getName().equals(pn))
                {
                    placename = t.getName();
                    heroLocation = t.getMiddlePoint();
                    t.setVisited(true);
                }
            }

           for(City c : cities)
            {
                if(c.getName().equals(pn))
                {
                    placename = c.getName();
                    heroLocation = c.getMiddlePoint();
                    c.setVisited(true);
                }
            }
           h.setHeroPlaceName(placename);
           h.setHeroLocationPoint(heroLocation);
        }
    } 
}
