package Tools;

import Hero.Hero;

import java.io.EOFException;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.Formatter;
import javax.swing.JOptionPane;

public class FileManagement
{
    public FileManagement()
    {
        
    }
    
    public Hero createFile(String name)                                     
    {                                         
       
        Hero hero = new Hero();
        hero.setName(name);
        name = name + ".ser";
        File fc = new File(name);
        hero.setFileLocation(fc);
        File f = hero.getFileLocation();
        
        ObjectOutputStream oos1;
        try
        {
            oos1 = new ObjectOutputStream (new FileOutputStream(f));
            oos1.writeObject(hero);
            oos1.flush();
            oos1.close();
            String message = "The hero with the name " + hero.getName() + " has been created with the filename " + f.getName() + ".";
            JOptionPane.showMessageDialog(null,message);

        }
        catch(IOException ioe)
        {
            hero = null;
        }
        return hero;
    }
    
    public void saveFile(Hero hero)                                     
    {                                         
       
        File f = hero.getFileLocation();
        //System.out.println(f.getAbsolutePath());
        ObjectOutputStream oos1;
        try
        {
            oos1 = new ObjectOutputStream (new FileOutputStream(f));
            oos1.writeObject(hero);
            oos1.flush();
            oos1.close();
            String message = "The hero with the name " + hero.getName() + " has been saved with the filename " + f.getName() + ".";
            JOptionPane.showMessageDialog(null,message);

        }
        catch(IOException ioe)
        {

        }
    }                    
    
    public Hero loadFile(File f)
    {
         Hero heroLoad;
        ObjectInputStream input;

       try
       {
           FileInputStream fInput = new FileInputStream(f); 
           input = new ObjectInputStream(fInput);
            heroLoad = (Hero)input.readObject();
            JOptionPane.showMessageDialog(null, "Hero loaded.");
            heroLoad.setFileLocation(f);
            
       }
       catch(EOFException eofe)
       {
           JOptionPane.showMessageDialog(null, "Hero loading failed.EOFE"); 
           heroLoad = null;
       }
       catch(ClassNotFoundException cnfe)
       {
           JOptionPane.showMessageDialog(null, "Hero loading failed.CLASS");
           heroLoad = null;
       }
       catch(IOException ioe)
       {
           heroLoad = null;
           
           JOptionPane.showMessageDialog(null, "Hero loading failed. Please check the name of the Hero that you are trying to load.\nAlso check the website to see if this was a major update.\n You might need to create a new Hero.");
       }
       
        return heroLoad;
    }
    
    public void saveTxt(String text, String name)
    {
       
        Formatter output;
        try
        {			
            output = new Formatter(name + ".txt");
            
            
            output.format("%s", text);
            output.close();                                                                      
        }
        catch(FileNotFoundException ioe)
        {
           
        }
    }
}
