package Enemies;

import java.io.Serializable;

public class Wolf extends EnemyConverter implements Serializable 
{
    private String enemyName;
    private int enemyAttack;
    private int enemyHealth;
    
    public Wolf()
    {
        String[] mod = normalEnemies[(4)];
        enemyName = mod[0];
        enemyAttack = Integer.parseInt(mod[1]);
        enemyHealth = Integer.parseInt(mod[2]);
    }
    
    public String getEnemyStats()
    {
        return("Enemy Name: " + getEnemyName() + "\n" + "Enemy Attack: " + getEnemyAttack() + "\n" + "Enemy Health: " + getEnemyHealth());
    }

    /**
     * @return the enemyName
     */
    public String getEnemyName()
    {
        return enemyName;
    }

    /**
     * @return the enemyAttack
     */
    public int getEnemyAttack()
    {
        return enemyAttack;
    }

    /**
     * @param enemyAttack the enemyAttack to set
     */
    public void setEnemyAttack(int enemyAttack)
    {
        this.enemyAttack = enemyAttack;
    }

    /**
     * @return the enemyHealth
     */
    public int getEnemyHealth()
    {
        return enemyHealth;
    }

    /**
     * @param enemyHealth the enemyHealth to set
     */
    public void setEnemyHealth(int enemyHealth)
    {
        this.enemyHealth = enemyHealth;
    }

    
}
