package Items.AntiStatus;

import Items.ItemConverter;
import Items.Modifiers;
import java.io.Serializable;

public class Sleep extends ItemConverter implements Serializable 
{
    private String itemName;
    private String itemMod;
    private double itemChance;
    private String itemChanceText;
    private double itemValue;
    private String itemDescription;
    private Modifiers m = new Modifiers();
    
    public Sleep()
    {
        String[] mod = m.getAntiStatus(3);
        itemName = mod[0];
        itemChance = Double.parseDouble(mod[1]);
        itemChanceText = mod[2];
        itemValue = Double.parseDouble(mod[3]);
        itemMod = mod[4];
        itemDescription = "This item has a " + itemChanceText + " to work.";
    }

    public String getItemName()
    {
        return itemName;
    }

    public void setItemName(String itemName)
    {
        this.itemName = itemName;
    }

    public String getItemMod()
    {
        return itemMod;
    }

    public void setItemMod(String itemMod)
    {
        this.itemMod = itemMod;
    }

    public double getItemChance()
    {
        return itemChance;
    }

    public void setItemChance(double itemChance)
    {
        this.itemChance = itemChance;
    }

    public String getItemChanceText()
    {
        return itemChanceText;
    }

    public void setItemChanceText(String itemChanceText)
    {
        this.itemChanceText = itemChanceText;
    }

    public double getItemValue()
    {
        return itemValue;
    }

    public void setItemValue(double itemValue)
    {
        this.itemValue = itemValue;
    }

    public String getItemDescription()
    {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription)
    {
        this.itemDescription = itemDescription;
    }
    
    public String getItemStats()
    {
        return("Item Name: " + getItemName() + "\n" + "Item Description: " + getItemDescription() + "\n" + "Item Value: " + getItemValue());
    }

  public String getItemType()
    {
        return ItemType.ANTISTATUS.toString();
    }
}
