package Items;

import Tools.RDN;
import java.io.Serializable;

public class Modifiers implements Serializable
{
    private final String[][] mod;
    private final String[][] antiStatus;
    private final String[][] pointEnhancers;
    private final String[][] rare;
    
    public Modifiers()
    {
                          //0-Name, 1-Move,2-mTxt,3-Chan,4-cTxt,5-Poti,6-pTxt,7-price 
        mod = new String[][]{{"Basic","20","20",".85","85%","10"," points","5.0"},
                             {"Super","40","40",".89","89%","20"," points","10.5"},
                              {"Mega","80","80",".93","93%","40"," points","16.0"},
                           {"Ultra","160","160",".95","95%","60"," points","25.0"},
                           {"Hyper","320","320","1.0","100%","80"," points","35.0"}};
       
        RDN rn = new RDN(5);
        int r = rn.RN();
        
        antiStatus = new String[][]{{"Poison",mod[r][3],mod[r][4],mod[r][7],mod[r][0]},
                                    {"Burn",mod[r][3],mod[r][4],mod[r][7],mod[r][0]},
                                    {"Paralyze",mod[r][3],mod[r][4],mod[r][7],mod[r][0]},
                                    {"Sleep",mod[r][3],mod[r][4],mod[r][7],mod[r][0]},
                                    {"Confusion",mod[r][3],mod[r][4],mod[r][7],mod[r][0]}};
        
        pointEnhancers = new String[][]{{"Health",mod[r][5],mod[r][6],mod[r][7],mod[r][0]},
                                    {"Attack",mod[r][5],mod[r][6],mod[r][7],mod[r][0]},
                                    {"Weapon Health",mod[r][5],mod[r][6],mod[r][7],mod[r][0]},
                                    {"Weapon Attack",mod[r][5],mod[r][6],mod[r][7],mod[r][0]}};
        
        rare = new String[][]{{"Cure All",mod[r][3],mod[r][4],mod[r][7], mod[r][0]},
                              {"Experence Increase", mod[r][5], mod[r][6],mod[r][7],mod[r][0]},
                              {"Weapon Inventory Increase","1"," slot",mod[4][7],""},
                              {"Item Inventory Increase","1"," slot",mod[4][7],""}};
        
        
                                          
    }
    
    public String[] getAntiStatus(int r)
    {
        return antiStatus[r];
    }

    public String[] getPointEnhancers(int r)
    {
        return pointEnhancers[r];
    }
    
    public String[] getRare(int r)
    {
        return rare[r];
    }
}
