package Tools;

import java.awt.Color;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;

public class MapUtil
{
    private int[][] fMap;
    
    
    public MapUtil()
    {
        File fMapLoc = new File("src\\Tools\\map.png");
        try
        {
            BufferedImage fMapImg = ImageIO.read(fMapLoc);
            fMap = new int[fMapImg.getHeight()][fMapImg.getWidth()];
            for(int y = 0; y <= 574/*fMapImg.getWidth()*/; y++)
            {
                for(int x = 0; x <= 767/*fMapImg.getHeight()*/; x++)
                {                    
                    Color c = new Color(fMapImg.getRGB(x, y));
                    fMap[y][x] = c.getGreen();
                }
            }
        }
        catch(IOException ex)
        {
            ex.printStackTrace();
        }
        catch(ArrayIndexOutOfBoundsException aioobe)
        {
          
           aioobe.printStackTrace();
        }
    }
    
    public int[][] getFMap()
    {
        return fMap;
    }
    
    public void doArray()
    {
        for(int y = 0; y <= 574; y++)
        {
            for(int x = 0; x <=767; x++)
            {
                int c = fMap[y][x];
                if (c <= 9)
                {
                    System.out.print(" " + " " + c+ ",");
                }
                if(c <= 99 && c>10)
                {
                    System.out.print(" " + c + ",");
                }
                if(c > 99)
                    System.out.print(c + ",");
                
            } System.out.print("\n");
        }
           
    }
}
