import java.io.*;
import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class GameGUI extends JFrame
{
	private JLabel labelInputBox;
	
	private JTextField fieldInputBox = new JTextField();
	
	private JButton submit = new JButton("Submit");
	
	private JTextArea message = new JTextArea("Enter commands in the text box below. Press Submit to send the command.", 80,60);
	
	private JPanel panelInput = new JPanel(new GridLayout(1,2));	
	
	public GameGUI()
	{
		super("David's RPG");
		setLayout(new GridLayout(2,1));
		fieldInputBox.requestFocusInWindow();
		panelInput.add(fieldInputBox);
		panelInput.add(submit);
		
		message.setEditable(false);
		message.setLineWrap(true);
		ButtonHandler1 handlerSubmit = new ButtonHandler1();
		submit.addActionListener(handlerSubmit);
		
		fieldInputBox.addKeyListener(handlerSubmit);
		
		add(message);
		add(panelInput);
	}
	
	class ButtonHandler1 implements ActionListener, KeyListener
	{
		public void actionPerformed (ActionEvent ae)
		{
			String text;
			
			text = fieldInputBox.getText();
			
			String oldmessage = message.getText();
			message.setText("");
			message.append(oldmessage + text + "This\nis\na\ntest.");
			//message.insert(text, 0);
			fieldInputBox.setText("");
			fieldInputBox.requestFocus();
		}
		
		public void keyPressed(KeyEvent e)
		{
			if (e.getKeyCode()==KeyEvent.VK_ENTER)
			{
				String text;
			
				text = fieldInputBox.getText();
				
				String oldmessage = message.getText();
				message.setText("");
				message.append(oldmessage + text);
				//message.insert(text, 0);
				fieldInputBox.setText("");
			}
		}
		
		public void keyReleased(KeyEvent arg0)
		{
		
		}
		
		public void keyTyped(KeyEvent arg0)
		{
		
		}
	}
}