import java.io.Serializable;
import java.io.*;
import java.util.*;
import java.text.*;

public class Battle implements Serializable
{
	private String heroname; //saved game name
	
	public Battle(Hero h)
	{
		Enemy e = new Enemy();
		Fight(h,e);
	}
	
	public static void Fight(Hero h, Enemy e)
	{
		Item hStatus = new Item();
		int enemyStartHealth;
		lb();
		System.out.println("---------------------");
		System.out.println("--The Battle Begins--");
		System.out.println("---------------------");
		
		String menuopt;
		String invmenu;
		String debugmenuopt;
		String debugsubmenu;
		String invsubmenu;
		int error = 0;
		Scanner input = new Scanner (System.in);
		enemyStartHealth = e.getHealth();
		boolean getExp = false;
		do
		{
			System.out.println("Your current stats are:\n");
			System.out.println(h.getStats());	
			System.out.println("Your current weapon selected is:\n");
			System.out.println(h.getWeaponStats());
			System.out.println("The enemies current stats are:\n");
			System.out.println(e.getStats());
			
			System.out.println("Battle Menu:\n");
			System.out.println("1. Attack the enemy with your fists.");
			System.out.println("2. Attack the enemy with " + h.getWeaponName());
			System.out.println("3. Check inventory...(Beta Version).");
			System.out.println("0. Try to escape.");
			System.out.println("Please select a number.\n");
			menuopt = input.next();
			if(isInt(menuopt) == true)
			{
				lb();
				switch(Integer.parseInt(menuopt))
				{
					case 1: 
					{
						RDN r = new RDN(15);
						RDN r2 = new RDN(5);//random status
						RDN r3 = new RDN(50);//chance to do random status
						int temprdn;
						int temprdn2;
						int tempstatus;
						int temprdstatus;
						temprdn = r.RN();
						temprdn2 = r.RN();
						tempstatus = r2.RN();
						temprdstatus = r3.RN();
						System.out.println(h.getName() + " attacks the " + e.getName() + " and does " + temprdn + " damage.");
						e.setHealth(e.getHealth() - temprdn);
						System.out.println("The " + e.getName() + " now has " + e.getHealth() + " health left.");
						System.out.println("The " + e.getName() + " attacks " + h.getName() + " and does " + temprdn2 + " damage.");
						h.setHealth(h.getHealth() - temprdn2);
						System.out.println(h.getName() + " now has " + h.getHealth() + " health left."); 
						if (temprdstatus > 35)
						{
							hStatus.setStatusName(tempstatus);
							h.setStatus(hStatus.getStatusName());
							System.out.println("You have been hurt by the enemy.");
							System.out.println("Your status: " + h.getStatus());
						}
						pauseProg(); 
						getExp = true;
						break; 
					}
					case 2: 
					{		
						int chkbroken = h.getWeaponStat();
						if (chkbroken > 0)
						{
							RDN r = new RDN(15);
							RDN r2 = new RDN (6); 
							int decWepHlth = r2.RN();//decreasing weapon health 
							int temprdn;
							int temprdn2;
							temprdn = r.RN();
							int totaldamage = temprdn + h.getAttackWeapon();
							temprdn2 = r.RN() + r.RN();
							System.out.println(h.getName() + " attacks the " + e.getName() + " and does " + totaldamage + " damage.");
							e.setHealth(e.getHealth() - totaldamage);
							System.out.println("The " + e.getName() + " now has " + e.getHealth() + " health left.");
							System.out.println("The " + e.getName() + " attacks " + h.getName() + " and does " + temprdn2 + " damage.");
							h.setHealth(h.getHealth() - temprdn2);
							System.out.println(h.getName() + " now has " + h.getHealth() + " health left."); 
							getExp = true;
							String ws1 = h.weaponToString(h.getWeaponObject()); 
							h.removeWeapon(ws1); 	
							int weaponstatchg = h.getWeaponStat() - decWepHlth;
							h.setWeaponStat(weaponstatchg);
							h.addWeaponToInv(h.weaponToString(h.getWeaponObject()));
						}
						else
						{
							String ws1 = h.weaponToString(h.getWeaponObject()); 
							System.out.println("Your weapon is broken.");// you can either change weapons or use your fists.");
							h.removeWeapon(ws1);
							System.out.println("It has been removed from your inventory...You need to select a new one.");
						}
						pauseProg();
						break; 
					}
					case 3:
					{
						Inventory i1 = new Inventory(h);
						break;
					}
					case 0: 
					{
						getExp = false;
						RDN es = new RDN(11);
						int escape = es.RN();
						int newhealth;
						newhealth = e.getHealth() + escape;
						if (escape % 2 == 0)
						{
							e.setHealth(-5);
							System.out.println("You have successfully escaped...");
							enemyStartHealth = 0;
						}
						else
							e.setHealth(newhealth);
						break;
					}
					case 1988:
					{
						int exit = 0;
						do
						{	
							System.out.println("Welcome to the debug menu");
							System.out.println("Type the name of the object you want to edit.");
							System.out.println("Choices (Case Sensitive): Hero, Enemy, Weapon.");
							System.out.println("Type anything else to exit to the game.");
							debugmenuopt = input.next();
						
							switch(debugmenuopt)
							{
								case "Hero":
								{
									System.out.println("Please type what you would like to do with the Hero object: ");
									System.out.println("Choices (Case Sensitive): getStats, setName, setAttack, setDefense, setExp,");
									System.out.println("setHealth.");
									debugsubmenu = input.next();
									switch(debugsubmenu)
									{
										case "getStats":
										{
											System.out.println(h.getStats());
											break;
										}
										case "setName":
										{
											System.out.println("Enter new name: ");
											h.setName(input.next());
											System.out.println("The name has been changed to " + h.getName());
											break;
										}
										case "setAttack":
										{
											System.out.println("Enter new Attack: ");
											h.setAttack(Integer.parseInt(input.next()));
											System.out.println("The Attack has been changed to " + h.getAttack());
											break;
										}
										case "setDefense":
										{
											System.out.println("Enter new Defense: ");
											h.setDefense(Integer.parseInt(input.next()));
											System.out.println("The Defense has been changed to " + h.getDefense());
											break;
										}
										case "setExp":
										{
											System.out.println("Enter new Exp: "); 
											h.setExp(Integer.parseInt(input.next()));
											System.out.println("The Exp has been changed to " + h.getExp());
											break;
										}
										case "setHealth":
										{
											System.out.println("Enter new Health: ");
											h.setHealth(Integer.parseInt(input.next()));
											System.out.println("The Health has been changed to " + h.getHealth());
											break;
										}										
										default: 
										{
											break;
										}
									}
									break;
								}
								
								case "Enemy":
								{
									System.out.println("Please type what you would like to do with the Enemy object: ");
									System.out.println("Choices (Case Sensitive): getStats, setName, setAttack, setDefense.");
									debugsubmenu = input.next();
									switch(debugsubmenu)
									{
										case "getStats":
										{
											System.out.println(e.getStats());
											break;
										}
										case "setName":
										{
											System.out.println("Enter new name: ");
											e.setName(input.next());
											System.out.println("The name has been changed to " + e.getName());
											break;
										}
										case "setAttack":
										{
											System.out.println("Enter new Attack: ");
											e.setAttack(Integer.parseInt(input.next()));
											System.out.println("The Attack has been changed to " + e.getAttack()); 
											break;
										}
										case "setDefense":
										{
											System.out.println("Enter new Defence: ");
											e.setDefense(Integer.parseInt(input.next()));
											System.out.println("The Defense has been changed to " + e.getDefense());
											break;
										}
										default: 
										{
											break;
										}
									}
									break;
								}
								
								case "Weapon":
								{
									System.out.println("Please type what you would like to do with the Weapon object: ");
									System.out.println("Choices (Case Sensitive): getStats, repairWeapon, removeWeapon, setStat");
									debugsubmenu = input.next();
									switch(debugsubmenu)
									{
										case "getStats":
										{
											System.out.println(h.getWeaponStats());
											break;
										}
										case "repairWeapon":
										{
											String ws1 = h.weaponToString(h.getWeaponObject()); 
											h.repairWeapon(); 
											h.removeWeapon(ws1); 
											h.addWeaponToInv(h.weaponToString(h.getWeaponObject())); 
											break;
										}
										case "removeWeapon":
										{
											System.out.println("Type the name of the weapon you want to remove from the inventory: ");
											h.removeWeapon(input.next());
											break;
										}
										case "setStat":
										{
											String ws1 = h.weaponToString(h.getWeaponObject()); 
											
											System.out.println("Enter new Stat: ");
											h.setWeaponStat(Integer.parseInt(input.next()));
											h.removeWeapon(ws1); 
											h.addWeaponToInv(h.weaponToString(h.getWeaponObject())); 
											System.out.println("The Stat has been changed to " + h.getWeaponStat());
											break;
										}
										default: 
										{
											break;
										}
									}
									
									break;
								}
								
								default:
								{
									exit = 1;
									break;
								}
							}
						}
						while (exit != 1);
						
						lb();
						pauseProg();
						break;
					}
					default:
					{
						lb();
						System.out.println("Please enter a valid menu choice.");
						pauseProg();
						break;
					}
				}
			}
			
			else
			{
				lb();
				System.out.println("Please enter a valid menu choice.");
				pauseProg();
			}
		} while (e.getHealth() >= 0 && h.getHealth() >= 0);
		int ehealth = e.getHealth();
		
		if (ehealth <= 0)
		{
			System.out.println("The enemy is dead.");
			if (getExp == true)
			{
				int expold;
				int expnew;
				RDN rExp = new RDN(3);
				int rdExp = rExp.RN();
				int expchange = enemyStartHealth * (rdExp + 1);
				expold = h.getExp();
				expnew = expold + expchange; 
				h.setExp(expnew);
				System.out.println("You have gained " + expchange + " points of experience.");
				System.out.println("Your current exp is now at: " + expnew);
				Item item = new Item();
				System.out.println("The enemy drop an item:\n" + item.getItemStats());
				String its = item.itemToString(item.getItemName(), item.getEffect(), item.getIC());
				h.addItemToInv(its);
				double winmoney = h.getMoney();
				RDN rCash = new RDN(10);
				int rdCash = rCash.RN();
				winmoney = winmoney + ((rdCash + 1) * 1.33);
				h.setMoney(winmoney);
			}
		}
		if (h.getHealth() <= 0)
		{
			System.out.println("You are dead.");
			int deadexp = h.getExp();
			deadexp = deadexp - 50;
			h.setExp(deadexp);
			double losemoney = h.getMoney();
			double moneydec = losemoney * .25;
			losemoney = losemoney - moneydec;
			h.setMoney(losemoney);
			h.setHealth(50);
			DecimalFormat currency = new DecimalFormat("$0.00");
			System.out.println("You have lost " + currency.format(moneydec));
			System.out.println("You have also lost 50 exp.");			
		}
		
		String gs2 = h.getName() + ".ser";
		ObjectOutputStream oos2;
		try
		{
			oos2 = new ObjectOutputStream (new FileOutputStream(gs2));
			oos2.writeObject(h);
			oos2.flush();
			oos2.close();
		}
		catch(IOException ioe)
		{
			ioe.printStackTrace();
		}
		Explore e1 = new Explore(h);
	}
	
	public static void pauseProg()
	{
		System.out.println("Press enter to continue...");
		Scanner keyboard = new Scanner(System.in);
		keyboard.nextLine();
		lb();
	}
	public static void lb()
	{
		System.out.println("\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n");
	}
	
	public static boolean isInt(String s)
	{
		try
		{
			Integer.parseInt(s);
			return true;
		}
		catch(NumberFormatException nfe)
		{
			return false;
		}
	}	
}