import java.util.*;
import java.util.Random;

public class Enemy
{
	private String name; //default values
	private int health; // 100
	private int attack; // 10
	private int defense; // 10
	private int exp; // 0 
	RDN rn101 = new RDN(101);
	RDN rn11 = new RDN(11);
	
	private int randomHealth = rn101.RN();
	private int randomAttack = rn11.RN();
	private int randomDefense = rn11.RN();
	private int randomExp = rn11.RN();
	private String[] monsterNames = {"Zombie", "Skeleton", "Spider", "Creeper", "Dragon", "Evil Bunny", "Wolf", "Ogre", "Demon"};
	
	public Enemy()
	{
		RDN rn5 = new RDN(9);
		int randomMonster = rn5.RN();
		name = monsterNames[randomMonster];
		setName(name);
		if (randomHealth <= 25)
		{
			randomHealth =+ 50;
			setHealth(randomHealth);
		}
		if ((randomHealth >= 25) && (randomHealth <= 50))
		{
			randomHealth =+ 25;
			setHealth(randomHealth);
		}
		
		if (randomHealth >= 51)
		{
			setHealth(randomHealth);
		}

		setAttack(randomAttack);
		setDefense(randomDefense);
		setExp(randomExp);
	}
	
	public Enemy(String n, int h, int a, int d, int e)
	{
		setName(n);
		setHealth(h);
		setAttack(a);
		setDefense(d);
		setExp(e);
	}
	
	public void setName(String n)
	{
		name = n;
	}
	
	public void setHealth(int h)
	{
		health = h;
	}
	
	public void setAttack(int a)
	{
		attack = a;
	}
	
	public void setDefense(int d)
	{
		defense = d;
	}
	
	public void setExp(int e)
	{
		exp = e;
	}
	
	public String getName()
	{
		return name;
	}
	
	public int getHealth()
	{
		return health;
	}
	
	public int getAttack()
	{
		return attack;
	}
	
	public int getDefense()
	{
		return defense;
	}
	
	public int getExp()
	{
		return exp;
	}
		
	public String getStats()
	{
		return("Name: " + name + "\n" + "Health: " + health + "\n" + "Attack: " + attack + "\n" + "Defense: " + defense + "\n" + "Exp: " + exp + "\n");
	}
}	