import java.io.Serializable;
import java.io.*;
import java.util.*;

public class Explore implements Serializable
{
	private String heroname; //saved game name
	
	public Explore(Hero h)
	{
		ExploreMap(h);
	}
	
	public static void ExploreMap(Hero h)
	{
		lb();
		System.out.println("---------------------");
		System.out.println("----Explore Stuff----");
		System.out.println("---------------------");
		Scanner input = new Scanner (System.in);
		String menuopt;
		String battletrue = "false";
		String exit = "zero";
		String subexit = "zero";
		do
		{
			System.out.println("Your current stats are:\n");
			System.out.println(h.getStats());	
			System.out.println("Your current weapon selected is:\n");
			System.out.println(h.getWeaponStats());
			
			System.out.println("\n\n\n");
			System.out.println("Explore Menu: **ALPHA VERSION**\n");
			System.out.println("1. Explore in this area. ---VERY BASIC---");
			System.out.println("2. Travel to a different town. ---DOES NOT WORK---");
			System.out.println("3. Visit the store.");//add city names later
			System.out.println("4. Check Inventory...(Beta version)");
			System.out.println("0. Exit Game.");
			System.out.println("20. Battle Again. **FOR TESTING PURPOSES**");
			System.out.println("Please select a number.\n");
			menuopt = input.next();
			if(isInt(menuopt) == true)
			{
				lb();
				switch(Integer.parseInt(menuopt))
				{
					case 0: 
					{
						exit = "exit";
						break;
					}
					
					case 1: 
					{
						do
						{
							lb();
							System.out.println("This is a early version of the navigation system.");
							System.out.println("The current directions you can travel are [CASE SENSITIVE]:");
							System.out.println("W[EST], N[ORTH], E[AST], S[OUTH]");
							System.out.println("This list of commands will change as progress is made with the game.");
							System.out.println("---------------------------------------------------------------------");
							System.out.println("Please type a direction that you would like to travel in: [N,S,E,W]");
							menuopt = input.next();
							RDN rdnenc = new RDN(10);
							int rdenc = rdnenc.RN();
							switch(menuopt)
							{
								case "N":
								{
									System.out.println("You have travelled north.");
									if (rdenc % 2 == 0)
									{
										battletrue = "true";
										exit = "exit";
										System.out.println("You have stumbled upon an enemy.");
										System.out.println("Prepare for Battle.");
									}
									subexit = "exit";
									pauseProg();
									break;
								}
								case "W":
								{
									System.out.println("You have travelled west.");
									if (rdenc % 2 == 0)
									{
										battletrue = "true";
										exit = "exit";
										System.out.println("You have stumbled upon an enemy.");
										System.out.println("Prepare for Battle.");
									}
									subexit = "exit";
									pauseProg();
									break;
								}
								case "S":
								{
									System.out.println("You have travelled south.");
									if (rdenc % 2 == 0)
									{
										battletrue = "true";
										exit = "exit";
										System.out.println("You have stumbled upon an enemy.");
										System.out.println("Prepare for Battle.");
									}
									subexit = "exit";
									pauseProg();
									break;
									
								}
								case "E":
								{
									System.out.println("You have travelled east.");
									if (rdenc % 2 == 0)
									{
										battletrue = "true";
										exit = "exit";
										System.out.println("You have stumbled upon an enemy.");
										System.out.println("Prepare for Battle.");
										
									}
									subexit = "exit";
									pauseProg();
									break;
								}
							}
						} while(!subexit.equals("exit"));
						
						break; 
					}
					case 2: 
					{		
						break; 
					}
					case 3:
					{
						Store s1 = new Store(h);
						pauseProg();
						break;
					}
					case 4:
					{
						Inventory i1 = new Inventory(h);
						//pauseProg();
						break;
					}
					
					case 20:
					{
						battletrue = "true";
						exit = "exit";
						break;
					}
						
					default:
					{
						lb();
						System.out.println("Please enter a valid menu choice.");
						pauseProg();
						break;
					}
				}
			}
			
			else
			{
				lb();
				System.out.println("Please enter a valid menu choice.");
				pauseProg();
			}
		}
		while(!exit.equals("exit"));
		if (exit.equals("exit"))
		{
			String gs = h.getName() + ".ser";
			ObjectOutputStream oos1;
			try
			{
				oos1 = new ObjectOutputStream (new FileOutputStream(gs));
				oos1.writeObject(h);
				oos1.flush();
				oos1.close();				
			}
			catch(IOException ioe)
			{
				ioe.printStackTrace();
			}
		}
		if (battletrue.equals("true"))
		{
			Battle b1 = new Battle(h);
		}
	}
	
	public static void pauseProg()
	{
		System.out.println("Press enter to continue...");
		Scanner keyboard = new Scanner(System.in);
		keyboard.nextLine();
		lb();
	}
	public static void lb()
	{
		System.out.println("\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n");
	}
	
	public static boolean isInt(String s)
	{
		try
		{
			Integer.parseInt(s);
			return true;
		}
		catch(NumberFormatException nfe)
		{
			return false;
		}
	}	
}