import java.util.*;
import java.io.Serializable;
import java.io.*;

//TO BE ADDED: Weapon Upgrade
//TO BE ADDED: Weapon material effects the stats of the weapon
//TO BE ADDED: Selling weapons, material effects the price as well as stats.

public class Weapon implements Serializable
{
	private String name; //name of weapon
	private String mMod; //Metal Modifier
	private String wMod; //Wooden Modifer
	private int atk; //Strength of the weapon
	private int stat; //Health of weapon, starts at 100% goes to 0% and break
	private int sp; //Attack Speed
	
	RDN rnchance = new RDN(11); //repair chance
	RDN rnrepair1 = new RDN(7); // repair multiplier 1
	RDN rnrepair2 = new RDN(5); // repair multiplier 2
	RDN rnatk = new RDN(10); // random atk
	
	private String[] weaponNames = {"Battleaxe", "Greatsword", "Maul", "Dagger", "Waraxe", "Longsword", "Mace", "Longbow", "Shortbow", "Crossbow", "Staff"}; //10 Char
	private String[] MetalModifier = {"Iron", "Steel", "Diamond", "Gold", "Wooden"};//7 Char
	private String[] WoodenModifier = {"Oak", "Elm", "Ash", "Redwood", "Pine"};//7 Char
	public Weapon()
	{
		RDN rn3 = new RDN(11);
		RDN rn4 = new RDN(5);
		int rdnWeapon = rn3.RN();
		int rdnWeaponMod = rn4.RN();
		name = weaponNames[rdnWeapon];
		mMod = MetalModifier[rdnWeaponMod];
		wMod = WoodenModifier[rdnWeaponMod];
		setName(name);
		if (name.equals("Battleaxe") || name.equals("Greatsword") || name.equals("Maul"))
		{
			atk = 25 + rnatk.RN();
			sp = 1;
			name = mMod + " " + name;
			do
			{
				name = name + " ";
			}
			while(name.length() <= 17);
		}
		if (name.equals("Dagger") || name.equals("Waraxe") || name.equals("Longsword") || name.equals("Mace"))
		{
			atk = 15 + rnatk.RN();
			sp = 2;
			name = mMod + " " + name;
			do
			{
				name = name + " ";
			}
			while(name.length() <= 17);
		}
		if (name.equals("Longbow") || name.equals("Shortbow") || name.equals("Crossbow") || name.equals("Staff"))
		{
			atk = 10 + rnatk.RN();
			sp = 3;
			name = wMod + " " + name;
			do
			{
				name = name + " ";
			}
			while(name.length() <= 17);
		}
		stat = 100;
	}
	
	public void setName (String n)
	{
		name = n;
	}
	
	public String getName()
	{
		return name;
	}
	
	public void setAtk (int a)
	{
		atk = a;
	}
	
	public int getAtk()
	{
		return atk;
	}
	
	public void setStat(int s)
	{
		stat = s;
	}
	
	public int getStat()
	{
		return stat;
	}
	
	public void setSpeed(int ss)
	{
		sp = ss;
	}
	
	public int getSpeed()
	{
		return sp;
	}
	
	public void repairWeapon(int s)
	{
		
		int rc = rnchance.RN();
		int rm1 = rnrepair1.RN();
		int rm2 = rnrepair2.RN();
		
		int finalstat = s;
		if (rm1 == 0)
			rm1 = 1;
		if (rm2 == 0);
			rm2 = 2;
		
		if (rc % 2 == 0)
		{		
			finalstat = s + (rm1 * rm2);
			System.out.println("Repair Successful, Weapon Health now at: " + finalstat);
		}
		else
		{	
			finalstat = s - (rm1 * rm2);
			System.out.println("Repair Unsuccessful, Weapon Health now at: " + finalstat);

			if (finalstat <= 0)
			{
				System.out.println("You broke your weapon");
			}
		}
		setStat(finalstat);
	}
	
	public void upgradeWeaponSpeed(int us)
	{
		int rc = rnchance.RN();
		int rm1 = rnrepair1.RN();
		int rm2 = rnrepair2.RN();
		
		int finalstat = us;
		if (rm1 == 0)
			rm1 = 1;
		if (rm2 == 0);
			rm2 = 2;
		
		if (rc % 2 == 0)
		{		
			finalstat = us + 1;
			System.out.println("Upgrade Successful, Weapon Attack Speed now at: " + finalstat);
		}
		else
		{	
			finalstat = us - 1;
			System.out.println("Repair Unsuccessful, Weapon Attack Speed now at: " + finalstat);

			if (finalstat <= 0)
			{
				finalstat = 1;
			}
		}
		setSpeed(finalstat);
	}
	
	public String getWeaponStats()
	{
		return("Weapon Name: " + name + "\n" + "Weapon Attack: " + atk + "\n" + "Weapon Health: " + stat + "\n" + "Attack Speed: " + sp + "\n");
	}
}